## ros-indigo-tf-keyboard-cal 0.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(tf_keyboard_cal)

find_package(catkin REQUIRED COMPONENTS
  keyboard
  roscpp
  tf2
  tf
  roslib
  cmake_modules
  rosparam_shortcuts
)

find_package(Eigen REQUIRED)
find_package(Boost REQUIRED)

catkin_package(
  INCLUDE_DIRS
    include
  LIBRARIES
    ${PROJECT_NAME}_manual_tf_alignment
  CATKIN_DEPENDS
    keyboard roscpp
    tf2
    tf
    rosparam_shortcuts
  DEPENDS
    Eigen
)

###########
## Build ##
###########

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIR}
  ${EIGEN_INCLUDE_DIRS}
)

# Library
add_library(${PROJECT_NAME}_manual_tf_alignment
  src/manual_tf_alignment.cpp
)
target_link_libraries(${PROJECT_NAME}_manual_tf_alignment
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
)

# Executable
add_executable(${PROJECT_NAME}
  src/tf_keyboard.cpp
)
target_link_libraries(${PROJECT_NAME}
  ${PROJECT_NAME}_manual_tf_alignment
  ${catkin_LIBRARIES}
)

# Install

# Install libraries
install(TARGETS ${PROJECT_NAME}_manual_tf_alignment
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

# Install header files
install(DIRECTORY include/${PROJECT_NAME}/ DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

# Install executables
install(TARGETS ${PROJECT_NAME}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Install scripts
install(PROGRAMS
  scripts/tf_interactive_marker.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Install launch files
install(DIRECTORY
  launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-tf-keyboard-cal (0.1.1-0trusty) trusty; urgency=high

  * Install launch files
  * Added new screenshot for imarkers
  * Updated README, tweaked arrow
  * Adding TF Interactive marker
  * Contributors: Dave Coleman, Gaël Ecorchard, Sammy Pfeiffer

 -- Dave Coleman <davetcoleman@gmail.com>  Thu, 30 Jun 2016 06:00:00 -0000

ros-indigo-tf-keyboard-cal (0.0.6-0trusty) trusty; urgency=high

  * API deprecation fix for rosparam_shortcuts
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 13 Jan 2016 07:00:00 -0000

ros-indigo-tf-keyboard-cal (0.0.5-0trusty) trusty; urgency=high

  * Fix roslaunch file
  * Updated README
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Sun, 27 Dec 2015 07:00:00 -0000

ros-indigo-tf-keyboard-cal (0.0.4-0trusty) trusty; urgency=high

  * catkin lint cleanup
  * Fixed travis
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Sat, 05 Dec 2015 07:00:00 -0000

ros-indigo-tf-keyboard-cal (0.0.3-0trusty) trusty; urgency=high

  * Rename dependency ros_param_shortcuts to rosparam_shortcuts
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Thu, 03 Dec 2015 07:00:00 -0000

ros-indigo-tf-keyboard-cal (0.0.2-0trusty) trusty; urgency=high

  * Initial Commit
  * Contributors: Andy McEvoy, Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Thu, 03 Dec 2015 07:00:00 -0000

=== debian/control ===
Source: ros-indigo-tf-keyboard-cal
Section: misc
Priority: extra
Maintainer: Dave Coleman <davetcoleman@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-keyboard, ros-indigo-roscpp, ros-indigo-roslib, ros-indigo-rosparam-shortcuts, ros-indigo-tf, ros-indigo-tf2
Homepage: https://github.com/davetcoleman/tf_keyboard_cal
Standards-Version: 3.9.2

Package: ros-indigo-tf-keyboard-cal
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-keyboard, ros-indigo-roscpp, ros-indigo-rosparam-shortcuts, ros-indigo-tf, ros-indigo-tf2
Description: Allows manual control of a TF through the keyboard

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-tf-keyboard-cal//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
